# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
# ============================================================================================================================================================= #

# * SAM IMPORTS
func = es.import_addon('sam/functions')

# '''''''''''''''''''' # Addon/Mod Info # '''''''''''''''''' #
addon = es.AddonInfo()
addon.name     = 'NoBlock'
addon.basename = 'noblock'
addon.status   = 0
addon.version  = '1.0.pub'
# '''''''''''''''''''''''''''''''''''''''''''''''''''''''''' #

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load():
	### Addon State ###
	es.set('sam_' + addon.basename, 1)

	for ply in es.getUseridList(): give_noblock(ply)

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload():
	### Addon State ###
	es.set('sam_' + addon.basename, 0)

	for ply in es.getUseridList(): es.setplayerprop(ply, 'CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup', 0)

# ============================================================================================================================================================= #
# ========================================================================= EVENTS ============================================================================ #
# ============================================================================================================================================================= #
def player_spawn(ev): give_noblock(ev['userid'])

# ============================================================================================================================================================= #
# ========================================================================= BLOCKS ============================================================================ #
# ============================================================================================================================================================= #
def give_noblock(target): es.setplayerprop(target, 'CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup', 2)

# ============================================================================================================================================================= #
