
# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
import playerlib
import cmdlib
import os
# ============================================================================================================================================================= #

# * SAM IMPORTS
func = es.import_addon('sam/functions')

# '''''''''''''''''''' # Addon/Mod Info # '''''''''''''''''' #
addon = es.AddonInfo()
addon.name     = 'Round Money'
addon.basename = 'roundmoney'
addon.status   = 0
addon.version  = '1.0.pub'
# '''''''''''''''''''''''''''''''''''''''''''''''''''''''''' #

# * VARIABLES

temp = {'amount':16000}
tag  = 'ROUND MONEY'

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load():
	### Addon State ###
	es.set('sam_' + addon.basename, 1)

	### Set Amount ###
	cmdlib.registerServerCommand('sam_round_money', rsmCMD, 'SAM')

	### Check Amount ###
	cmdlib.registerSayCommand('!rm', roundmoneyCMD, 'SAM')

	### Create CFG ###
	createCFG()

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload():
	### Addon State ###
	es.set('sam_' + addon.basename, 0)

	### Unreg ###
	cmdlib.unregisterServerCommand('sam_round_money')
	cmdlib.unregisterSayCommand('!rm')

# ============================================================================================================================================================= #
# ======================================================================= CMD BLOCKS ========================================================================== #
# ============================================================================================================================================================= #
def rsmCMD(args):
	if args:
		try:
			args = ''.join(args)
			if int(args) in range(0,16001): temp['amount'] = int(args)
			else: es.printmsg('SAM | %s |:: %s\n' % (tag,func.lang_addon(addon.basename, 'not_in_range')))
		except: es.printmsg('SAM | %s |:: %s\n' % (tag,func.lang_addon(addon.basename, 'not_integer')))

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: #
def roundmoneyCMD(userid, args): func.tell(userid, func.lang_addon('check_amount', {'amount':temp['amount']}))

# ============================================================================================================================================================= #
# ========================================================================= EVENTS ============================================================================ #
# ============================================================================================================================================================= #
def round_start(ev):
	for player in playerlib.getPlayerList('#alive'): player.setCash(temp['amount'])

# ============================================================================================================================================================= #
# ========================================================================= BLOCKS ============================================================================ #
# ============================================================================================================================================================= #
def createCFG():
	if os.path.isfile(func.dir_addonscfg + addon.basename + '.cfg') == False:
		f = open(func.dir_addonscfg + addon.basename + '.cfg','w')
		f.write('// - - - - - - - - - - - - - - - - - - - - - - - - - - - - #\n')
		f.write('//  Source Admin Menu # Round Money configuration file     #\n')
		f.write('// - - - - - - - - - - - - - - - - - - - - - - - - - - - - #\n')
		f.write(' \n')
		f.write('// How much money to give in each round.\n')
		f.write('//\n')
		f.write('// Default: 16000. ( Must be in range of 0 to 16000 )\n')
		f.write('   sam_round_money "16000"\n')

# ============================================================================================================================================================= #