# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
import os
import popuplib
import playerlib
# ============================================================================================================================================================= #

# * SAM IMPORTS
func   = es.import_addon('sam/functions')
admins = es.import_addon('sam/base/manager')

# * VARIABLES

sort  = [
        'Kick','Ban','Unban','Move Players','Mute','Slay','Slap','Respawn','Blind','Freeze','Jetpack',
        'Firework','Noclip','Godmode','Set Health','Give Cash','Invisibility','Crazy Drug'
        ]
items = {
        'all':('Kick','Ban'),
        'alive':('Slay','Freeze','Noclip','Godmode','Jetpack','Blind','Firework','Slap','Set Health','Invisibility','Crazy Drug'),
        'others':('Unban','Mute','Move Players','Respawn','Give Cash')
        }

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load():
    ### Loads ###
    for x in items:
        for item in items[x]: es.load('sam/base/pcontrol/' + item.replace(' ','').lower())

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload():
    ### Unloads ###
    for x in items:
        for item in items[x]: es.unload('sam/base/pcontrol/' + item.replace(' ','').lower())

    ### Popups ###
    func.popupDelete('pcontrol')
    func.popupDelete('getTarget')

# ============================================================================================================================================================= #
# ======================================================================= MAIN BLOCKS ========================================================================= #
# ============================================================================================================================================================= #
def modulePopup(userid, send=1):
    func.popupDelete('pcontrol')
    popup = popuplib.easymenu('pcontrol', None, function)
    popup.c_beginsep = func.pline
    popup.c_pagesep  = func.pline
    popup.settitle('%s | SAM %s\n \n :: %s ' % (func.menutitle, es.ServerVar(func.version), func.lang_titles('pcontrol_name')))
    for item in sort:
        x = item.replace(' ','').lower()
        popup.addoption(item, func.lang_titles('pcontrol_%s' % x))
    popup.submenu(10, 'mainPage')
    if send == 1: popup.send(userid)

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: #
def function(userid, item, popup):
    x = item.replace(' ','').lower()
    if admins.checkAccess(es.getplayersteamid(userid), item):
        if not item in items['others']:
            func.popupDelete('getTarget')
            popup = popuplib.easymenu('getTarget', None, gotoFunc)
            popup.c_beginsep = func.pline
            popup.c_pagesep  = func.pline
            popup.settitle('%s | SAM %s\n \n :: %s\n # %s ' % (func.menutitle, es.ServerVar(func.version), func.lang_titles('pcontrol_%s' % x),func.lang_titles('choose_player')))
            for list in items:
                if item in items[list]: plist = playerlib.getPlayerList('#'+list)
            if len(plist) > 0:
                for ply in plist: popup.addoption([ply,x], ply.name)
            popup.submenu(10, 'pcontrol')
            popup.send(userid)
        else: sendToOthers(userid, x)
    else: modulePopup(userid)

# ============================================================================================================================================================= #
# ======================================================================== FUNCTIONS ========================================================================== #
# ============================================================================================================================================================= #
def gotoFunc(userid, x, popup):
    if admins.checkImmunity(es.getplayersteamid(userid), x[0].steamid):
        block = es.import_addon('sam/base/pcontrol/%s' % x[1])
        block.moduleAction(userid, playerlib.getPlayer(x[0]))
    else: modulePopup(userid)

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: #
def sendToOthers(userid, item):
    block = es.import_addon('sam/base/pcontrol/%s' % item)
    block.moduleAction(userid)

# ============================================================================================================================================================= #